curl --request GET \
--url https://data-api.b3.fun/insights/v1/tokensimport requests
url = "https://data-api.b3.fun/insights/v1/tokens"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data-api.b3.fun/insights/v1/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"chain_id": 1,
"token_address": "vitalik.eth",
"balance": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"price_data": {
"price_usd": 123,
"usd_value": 123,
"volume_24h_usd": 123,
"market_cap_usd": 123,
"circulating_supply": 123,
"total_supply": 123,
"percent_change_24h": 123,
"price_timestamp": "<string>"
}
}
]
}Get tokens
Query tokens
Query Parameters
Use chain_id instead
[20, 56, 1]
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., ?chain_id=20&chain_id=56. Optional, because a single chain can as well be specified as a subdomain
[20, 56, 1]
The number of items to return
0 < x <= 100020
Page number (0-indexed). Maximum value depends on query parameters: 20 for regular queries, 500 when using aggregate or group_by parameters.
x >= 00
Whether to include metadata for the tokens
true, false "false"
Whether to resolve metadata IPFS or Arweave links
true, false "false"
Whether to include spam tokens
true, false "false"
Address(es) to filter by. You can specify multiple addresses using repeated query parameters, e.g., ?address=0x123&address=0x456
[
"0x1234567890123456789012345678901234567890",
"vitalik.eth"
]
Whether to include native tokens
true, false "true"
Address(es) to filter by. You can specify multiple addresses using repeated query parameters, e.g., ?address=0x123&address=0x456
[
"0x1234567890123456789012345678901234567890",
"vitalik.eth"
]
Field to sort by
balance, token_address, token_price, usd_value "balance"
Sort order (asc or desc)
asc, desc "desc"
Whether to include tokens that don't have price data (only applies when metadata=true)
true, false "true"
Response
Successful response
Show child attributes
Show child attributes
HypeDuel